using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.HM;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.OH
{
    /// <summary>
    /// 体检结果职业危害中间表
    /// </summary>
    [Description("体检结果职业危害中间表")]
    public class T_OH_EXAM_RESULT_OCC_HAZARD : MesEntityBase
    {
        /// <summary>
        /// 体检结果记录ID
        /// </summary>
        [Description("体检结果记录")]
        [DataFieldForeignKey("Nav_Result")]
        public Guid RESULT_ID { get; set; }


        /// <summary>
        /// 导航: 体检结果记录
        /// </summary>
        [Description("导航: 体检结果记录")]
        public T_OH_HEALTH_EXAM_RESULT Nav_Result { get; set; }

        /// <summary>
        /// 职业危害ID
        /// </summary>
        [Description("职业危害")]
        [DataFieldForeignKey("Nav_Hazard")]
        public Guid HAZARD_ID { get; set; }

        /// <summary>
        /// 导航: 职业危害
        /// </summary>
        [Description("导航: 职业危害")]
        public T_HM_IDENTIFYING Nav_Hazard { get; set; }

    }
}
